> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/data-center-port/terminateport.md).

# TerminatePort

## 1. 接口描述

本接口(TerminatePort)用于终止端口。

{% hint style="info" %}
**注意事项**

* 不再使用的数据中心端口，可通过本接口主动退还。如果是后付费，退还的数据中心端口将停止计费。
* 本接口无法主动退还预付费订阅模式的数据中心端口，**订阅模式**的数据中心端口将会在订阅到期后自动退还。
* 退还后的数据中心端口将进入回收站，进入回收站后如无其他操作数据中心端口将在48小时后自动释放，也可以调用[DestroyPort](/api-reference/cn/sdn/data-center-port/destroyport.md#DestroyPort)接口主动进行释放。
* 已经在回收站中或者正在创建中的数据中心端口调用该接口无效。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称   | 必选 | 类型     | 描述         |
| ------ | -- | ------ | ---------- |
| portId | 是  | String | 数据中心端口 ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminatePort
<Common Request Params>

Request:
{
  "portId": "your-port-id"
}

Response:
{
  "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
  "response": {
    "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
